using System;

internal sealed class Delegate300 : MulticastDelegate
{
	public extern bool Invoke(object object_0, string string_0);

	public static bool smethod_0(object object_0, string string_0, Delegate300 delegate300_1)
	{
		return delegate300_1(object_0, string_0);
	}

	public extern Delegate300(object object_0, IntPtr intptr_0);

	static Delegate300()
	{
		Class10.smethod_13(typeof(Delegate300).TypeHandle);
	}

	internal static Delegate300 delegate300_0;
}
